# Gimp.Palette.prototype.set_columns

    function set_columns(columns: Number(gint)): Boolean {
        // Gjs wrapper for gimp_palette_set_columns()
    }

Sets the number of columns used to display the palette

Set the number of colors shown per row when the palette is displayed. Returns an error when the palette is not editable. The maximum allowed value is 64.

Since 2.4

columns

  The new number of columns.

Returns

  TRUE on success.